{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nDay   = .day->text\r\nMonth = .month->text\r\nDate  = .date->text\r\nYear  = .year->text\r\n\r\nReturnVar = Day:' ':Month:' ':Date:' ':Year\r\nif ( Day <> '' ) and ( Month <> '' ) and ( Date <> '' ) and ( Year <> '' ) then\r\n   end_dialog( @window, ReturnVar )\r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You must select a value for each portion of the date.'\r\n   MsgInfo<micon$> = 'H'\r\n   Void = msg( '', MsgInfo )\r\n   return 0\r\nend\r\nRETURN 0"
        }
    }
}